Subject: bug#5303: 23.1.91; Cannot load .emacs-history from savehist.el

From: Michael Albinus <[email-masked]>
Date: Wed, 20 Jan 2010 10:00:00 +0100

Lennart Borgman <[email-masked]> writes:

>>> However I wonder why those files at all are interesting for tramp. I
>>> know little about tramp, but does not remote file names always start
>>> with something like "/ssh:", "/ftp:", "/telnet:" etc?
>>>
>>> If so why look for file names starting with "c:/"?
>>
>> Some packages ( I don't remember which ones) do add the volume letter to
>> file names, which haven't one. Tramp silently removes the volume letter
>> then, and continues.
>
> But is not that a bug in those packages then? Does not trying to fix
> it in Tramp introduce this new bug?

In theory, you are right. But Tramp supports also GNU Emacs 21, 22, and
XEmacs. This makes it impossible to fix all involved packages.

Best regards, Michael.